#!/bin/bash

mobilityhost="10.69.1.3"
name="STATIONFPRINTER"
location="STATION F"
info="STATIONFPRINTER"
ppd="KOC759UX.ppd"

mobilityqueue="ipps://$mobilityhost:9164/printers/$name"

# Make sure the print queue isn't already installed.
lpstat -p $name &>/dev/null
if [ $? == "0" ]; then
	echo "$name already exists, exiting."
	exit 1
fi

sudo cp "$ppd" /usr/share/cups/model/
sudo cp "$ppd" /usr/share/ppd/

sudo lpadmin -p "$name" -E -v "$mobilityqueue" -L "$location" -m "$ppd" -o auth-info-required=username,password -o printer-error-policy=retry-job -o PageSize=A4 
if [ "$?" -ne "0" ]; then
	echo "lpadmin errored."
	exit 1
fi